<?php
/**
 * Klasa jezykowa prostych artykulow
 *
 */
class SimpleArticle_MfArticleCategoryDescription  extends DataObject {
	
	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_article_category_description';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_article_category_description';
		
	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 */
	static $fields = array(
		'id_mf_article_category_description' => 'id',
		'name' => 'name',
		'lang' => 'lang',
		'publication' => 'publication',
		'id_mf_article_category' => 'idMfArticleCategory'
	);

	protected $id;
	private $name;
	private $lang;
	private $publication;
	private $idMfArticleCategory;


	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetIdMfArticleCategory() {
		return $this->idMfArticleCategory;
	}

	public function SetIdMfArticleCategory($idMfArticleCategory) {
		$this->idMfArticleCategory = $idMfArticleCategory;
	}

	public function GetName() {
		return $this->name;
	}

	public function SetName($name) {
		$this->name = $name;
	}

	public function GetLang() {
		return $this->lang;
	}

	public function SetLang($lang) {
		$this->lang = $lang;
	}

	public function GetPublication() {
		return $this->publication;
	}

	public function SetPublication($publication) {
		$this->publication = $publication;
	}





	/**
	 * Konstruktor klasy
	 *
	 * @param integer $id
	 */

	public function __construct($id = -1) {
		$this->SetId($id);
	}
	
	  /**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */
	
	public  function GetTableName(){
		return self::$tableName;
      }
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
      }
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
      }	


    public function GetClassTablePK() {
        return self::$classTablePK;
    }


}
?>